class Users::ProfessionalAuthAppliesController < Users::BaseAccountController
  before_action :private_user_resources!

  def create
    Users::ApplyProfessionalAuthService.call(observed_user, create_params)
    render_ok
  rescue Users::ApplyProfessionalAuthService::Error => ex
    render_error(ex.message)
  end

  private

  def create_params
    params.permit(:school_id, :department_id, :identity, :extra, :upload_image)
  end
end